param($addr="10.200.252.104", $port=3261, $user="root", $password="starwind", $deviceName="HAImage1",
	$addr2="10.200.252.103", $port2=$port, $user2=$user, $password2=$password,
#secondary node
	$imagePath2="My computer\d\starwind",
	$imageName2="partnerWitness22",
	$createImage2=$true,
	$targetAlias2="partnerWitness22",
	$autoSynch2=$true,
	$poolName2="pool1",
	$syncSessionCount2=1,
	$aluaOptimized2=$true,
	$cacheMode2="none",
	$cacheSize2=0,
	$syncInterface2="#p1={0}:3260" -f $addr,
    $hbInterface2="#p1={0}:3260" -f $addr,
    $selfSyncInterface="#p1={0}:3260" -f $addr2,
    $selfHbInterface="#p1={0}:3260" -f $addr2
	)
	
Import-Module StarWindX

try
{
    #Enable-SWXLog -level SW_LOG_LEVEL_INFO
    
    $server = New-SWServer $addr $port $user $password
    $server.Connect()

	$device = Get-Device $server -name $deviceName
	if( !$device )
	{
		Write-Host "Device not found" -foreground red
		return
	}

    $node = new-Object Node
    $node.HostName = $addr2
    $node.HostPort = $port2
    $node.Login = $user2
    $node.Password = $password2
    $node.ImagePath = $imagePath2
    $node.ImageName = $imageName2
    $node.CreateImage = $createImage2
    $node.TargetAlias = $targetAlias2
    $node.SyncInterface = $syncInterface2
    $node.HBInterface = $hbInterface2
	$node.AutoSynch = $autoSynch2
	$node.SyncSessionCount = $syncSessionCount2
	$node.ALUAOptimized = $aluaOptimized2
	$node.PoolName = $poolName2
    $node.CacheMode = $cacheMode2
    $node.CacheSize = $cacheSize2

    Add-HAPartner $device $node $selfSyncInterface $selfHbInterface
}
catch
{
	Write-Host $_ -foreground red 
}
finally
{
	$server.Disconnect()
}
